Company
The company resource.
Basehttps://rest.carbon.ms/company
GET
/companyList companys
Retrieve a paginated list of companys. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/company
curl --request GET \
--url 'https://rest.carbon.ms/company?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"baseCurrencyCode": "string",
"createdAt": "2026-01-01T00:00:00Z",
"suggestionNotificationGroup": [],
"auditLogEnabled": true,
"isEliminationEntity": true,
"active": true
}
]GET
/companyRetrieve a company
Fetch a single company by filtering on `id`.
Query parameters
idstringMatch on the company's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/company
curl --request GET \
--url 'https://rest.carbon.ms/company?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"baseCurrencyCode": "string",
"createdAt": "2026-01-01T00:00:00Z",
"suggestionNotificationGroup": [],
"auditLogEnabled": true,
"isEliminationEntity": true,
"active": true
}POST
/companyCreate a company
Create a new company.
Body parameters
namestringrequiredtaxIdstringaddressLine1stringaddressLine2stringcitystringstateProvincestringpostalCodestringcountryCodestringphonestringfaxstringemailstringwebsitestringbaseCurrencyCodestringrequiredReferences currencyCode.code
logoDarkIconstringlogoLightIconstringlogoDarkstringlogoLightstringslackChannelstringsuggestionNotificationGrouparrayrequiredauditLogEnabledbooleanrequiredcompanyGroupIdstringReferences companyGroup.id
parentCompanyIdstringReferences company.id
isEliminationEntitybooleanrequiredactivebooleanrequiredvatNumberstringeoristringlogoWatermarkstringPOSThttps://rest.carbon.ms/company
curl --request POST \
--url https://rest.carbon.ms/company \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","baseCurrencyCode":"string","suggestionNotificationGroup":[],"auditLogEnabled":true,"isEliminationEntity":true,"active":true}'Response
{
"id": "abc123def456",
"name": "Example",
"baseCurrencyCode": "string",
"createdAt": "2026-01-01T00:00:00Z",
"suggestionNotificationGroup": [],
"auditLogEnabled": true,
"isEliminationEntity": true,
"active": true
}PATCH
/companyUpdate a company
Update an existing company, matched on `id`.
Body parameters
namestringrequiredtaxIdstringaddressLine1stringaddressLine2stringcitystringstateProvincestringpostalCodestringcountryCodestringphonestringfaxstringemailstringwebsitestringbaseCurrencyCodestringrequiredReferences currencyCode.code
logoDarkIconstringlogoLightIconstringlogoDarkstringlogoLightstringslackChannelstringsuggestionNotificationGrouparrayrequiredauditLogEnabledbooleanrequiredcompanyGroupIdstringReferences companyGroup.id
parentCompanyIdstringReferences company.id
isEliminationEntitybooleanrequiredactivebooleanrequiredvatNumberstringeoristringlogoWatermarkstringPATCHhttps://rest.carbon.ms/company
curl --request PATCH \
--url 'https://rest.carbon.ms/company?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"baseCurrencyCode": "string",
"createdAt": "2026-01-01T00:00:00Z",
"suggestionNotificationGroup": [],
"auditLogEnabled": true,
"isEliminationEntity": true,
"active": true
}DELETE
/companyDelete a company
Delete a company, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the company to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/company
curl --request DELETE \
--url 'https://rest.carbon.ms/company?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content